> For the complete documentation index, see [llms.txt](https://docs.exploratory.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.exploratory.io/data_import/cloud-apps-data/salesforce.md).

# Salesforce

You can quickly import data from your Salesforce into Exploratory.

## 1. Open Salesforce Import dialog

Select 'Cloud Apps Data' from Add New Data Frame menu.

![](/files/-M4oN0X39XzG_qmQv2-F)

Click Snowflake to select.

![](/files/-Mao5S9CrsjST2aknPdo)

If this is your first time to use Salesforce for the first time, below Dialog shows up.

![](/files/-McNro1Itm_EpaboV4ki)

## 2. Preview and Import

Click "Run" button to see the data back from Salesforce. You can add filters to limit your query results.

![](/files/-Mao5S9FheEG1Z845Acw)

## 3. Using Parameters inside Filters.

First, click the Add Filter Button.

![](/files/-Mao5S9JbDI0n6dsDQr8)

Click the Create Parameter button.

![](/files/-Mao5S9SJugbrK-oLtIk)

Then define a parameter and click Save button.

![](/files/-Mao5S9aVv77qZNY2hq5)

Finally, you can select the parameter for the filter like below.

![](/files/-Mao5S9gtNqZwfypJhWr)

Click the Parameter link to open the parameter pane.

![](/files/-Mao5S9mBBWejUgeNJO_)

Select the parameter value and click the Run button, then you can previewed the data filtered by the parameter.

![](/files/-Mao5S9t4f8Y51vXJbFh)

If it looks ok, then you can click 'Save' to import the data into Exploratory.

## 4 Restriction

To use Salesforce Data Source, your Salesforce edition needs to be one of the followings:

* Enterprise Edition
* Unlimited Edition
* Developer Edition
* Performance Edition

[Salesforce editions with API access](https://help.salesforce.com/articleView?id=000326486\&type=1\&mode=1)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.exploratory.io/data_import/cloud-apps-data/salesforce.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
